export const schedConfig = {
  schedulerId       : 'top-scheduler',
  viewPreset        : 'hourAndDay',
  eventStyle        : 'rounded',
  tickSize          : 70,
  resourceImagePath : '',

  barMargin: 5,
  rowHeight: 35,
  columns : [
      {
          //type  : 'resourceInfo',
          text  : 'Macchina',
          field : 'name',
          width : 350,
          // We want to use custom markup
          htmlEncode : false,
          // Renderer that returns a DOM config object, a more performant way than returning a html string, allows
          // reusing elements as cells are re-rendered
          renderer: ({ record }) => {
            return {
              children : [
                  // <i> tag with the icon
                  {
                      tag       : 'i',
                      className : record.iconCls + ' pr-2',
                      style: 'color:' + record.color + '!important'
                  },
                  // text node with the name
                  record.name
              ]
          }}
      },
      /* { text : 'Classe', field : 'classeMacchina', width : 200 } */
  ],
};

export const histConfig = {
  //partner : 'top-scheduler',
  columns : [
      {
          //type           : 'resourceInfo',
          text           : 'Macchina',
          field          : 'name',
          flex           : 1,
          showEventCount : false
      }
  ],
  resourceImagePath : '',
  rowHeight         : 30,
  features          : {
      scheduleTooltip : false
  },
  showBarText   : false,
  showBarTip    : true,
  showMaxEffort : true,
};